# base.h File Reference

Base elements for RTP stacks: constants, types and global functions. More...

`#include <cc++/config.h>`
`#include <cc++/socket.h>`

Go to the source code of this file.

## Defines

#define | CCXX_PACKED

## Typedefs

typedef uint32 | microtimeout_t
| Time interval expressed in microseconds.
typedef uint32 | nanotimeout_t
| Time interval expressed in nanoseconds.

## Functions

__EXPORT timeval | microtimeout2Timeval (microtimeout_t to)
| Convert a time interval, expressed as a microtimeout_t (number of microseconds), into a timeval value.
microtimeout_t | timeval2microtimeout (const timeval &t)
| Convert a time interval, expressed as a timeval value into a microseconds counter.
microtimeout_t | timevalDiff2microtimeout (const timeval &t1, const timeval &t2)
| Convert a time interval, expressed as the difference between two timeval values (t1-t2), into a microseconds counter.

## Variables

const uint8 | CCRTP_VERSION = 2
| RTP protocol version supported.
const tpport_t | DefaultRTPDataPort = 5004
| registered default RTP data transport port
const tpport_t | DefaultRTCPPort = 5005
| registered default RTCP transport port

## Detailed Description

Base elements for RTP stacks: constants, types and global functions.

## Define Documentation

#define CCXX_PACKED

## Typedef Documentation

typedef uint32 microtimeout_t

Time interval expressed in microseconds.

typedef uint32 nanotimeout_t

Time interval expressed in nanoseconds.

## Function Documentation

__EXPORT timeval microtimeout2Timeval | ( | microtimeout_t | to ) |

Convert a time interval, expressed as a microtimeout_t (number of microseconds), into a timeval value.

Parameters:

  to | time interval, in microseconds.

Returns:
  the same time interval, as a timeval value.

microtimeout_t timeval2microtimeout | ( | const timeval & | t ) | `[inline]`

Convert a time interval, expressed as a timeval value into a microseconds counter.

Parameters:

  t | time, as a timeval.

Returns:
  the same time, as a microseconds counter.

microtimeout_t timevalDiff2microtimeout | ( | const timeval & | t1,
|  | const timeval & | t2
| ) |  | `[inline]`

Convert a time interval, expressed as the difference between two timeval values (t1-t2), into a microseconds counter.

Parameters:

  t1 | First timeval.
  t2 | Second timeval.

Returns:
  difference between t1 and t2, in microseconds.

## Variable Documentation

const uint8 CCRTP_VERSION = 2

RTP protocol version supported.

const tpport_t DefaultRTCPPort = 5005

registered default RTCP transport port

const tpport_t DefaultRTPDataPort = 5004

registered default RTP data transport port